#ifndef SERVERSETTING_H
#define SERVERSETTING_H

#include <QWidget>
#include <QObject>
#include <QPaintEvent>
#include <QPainter>
#include <QStyleOption>
#include <QPainterPath>
#include "tchttpservice.h"

namespace Ui {
class ServerSetting;
}

class ServerSetting : public QWidget
{
    Q_OBJECT

public:
    explicit ServerSetting(QWidget *parent = nullptr);
    ~ServerSetting();

    void setAddress(QString address);
    void setUserName(QString username);
    void setPassword(QString password);

signals:
    void okClicked(QString addr, quint16 port);

    void signal_updateServerConfig(QString address, QString username, QString password);

private slots:
    void on_btnOk_clicked();

private:
    Ui::ServerSetting *ui;

protected:
    virtual void paintEvent(QPaintEvent* event);

private:
    void initForm();
    void initWidget();
};

#endif // SERVERSETTING_H
